<?php

class formIbackuperRestore extends cmsForm {

    public function init() {

        $fields = [
            'basic' => [
                'title'  => LANG_BASIC_OPTIONS,
                'type'   => 'fieldset',
                'childs' => [
                    new fieldFile('file_restore', [
                        'title'   => LANG_IBACKUPER_FILE_RESTORE,
                        'options' => ['extensions' => 'txt'],
                        'rules'   => [['required']]
                    ]),
                    new fieldString('new_name', [
                        'title' => LANG_IBACKUPER_NEW_NAME,
                        'hint'  => LANG_IBACKUPER_NEW_NAME_HINT,
                        'rules' => [['required']]
                    ]),
                    new fieldString('new_title', [
                        'title' => LANG_IBACKUPER_NEW_TITLE,
                        'hint'  => LANG_IBACKUPER_NEW_TITLE_HINT
                    ])
                ]
            ],
            'ctypes' => [
                'title'  => LANG_CONTENT_TYPE,
                'type'   => 'fieldset',
                'childs' => [
                    new fieldCheckbox('is_relations', [
                        'title' => LANG_IBACKUPER_IS_RELATIONS,
                        'hint'  => LANG_IBACKUPER_IS_RELATIONS_HINT
                    ])
                ]
            ],
            'numerals_labels' => [
                'type'   => 'fieldset',
                'title'  => LANG_CONTENT_TYPE . ': ' . LANG_CP_NUMERALS_LABELS,
                'childs' => [
                    new fieldString('new_labels_one', [
                        'title' => LANG_CP_NUMERALS_1_LABEL,
                        'hint'  => LANG_IBACKUPER_EMPTY_HINT
                    ]),
                    new fieldString('new_labels_two', [
                        'title' => LANG_CP_NUMERALS_2_LABEL,
                        'hint'  => LANG_IBACKUPER_EMPTY_HINT
                    ]),
                    new fieldString('new_labels_many', [
                        'title' => LANG_CP_NUMERALS_10_LABEL,
                        'hint'  => LANG_IBACKUPER_EMPTY_HINT
                    ])
                ]
            ],
            'actions_labels' => [
                'type'   => 'fieldset',
                'title'  => LANG_CONTENT_TYPE . ': ' . LANG_CP_ACTIONS_LABELS,
                'childs' => [
                    new fieldString('new_labels_create', [
                        'title' => LANG_CP_ACTION_ADD_LABEL,
                        'hint'  => LANG_IBACKUPER_EMPTY_HINT
                    ])
                ]
            ],
            'lists_labels' => [
                'type'   => 'fieldset',
                'title'  => LANG_CONTENT_TYPE . ': ' . LANG_CP_LIST_LABELS,
                'childs' => [
                    new fieldString('new_labels_list', [
                        'title' => LANG_CP_LIST_LABEL,
                        'hint'  => LANG_IBACKUPER_EMPTY_HINT
                    ]),
                    new fieldString('new_labels_profile', [
                        'title' => LANG_CP_PROFILE_LABEL,
                        'hint'  => LANG_IBACKUPER_EMPTY_HINT
                    ])
                ]
            ]
        ];

        return $fields;

    }

}
